Update organization branding
curl --request PUT \
--url https://app.aegister.com/api/v1/organizations/{id}/branding \
--header 'Content-Type: application/json' \
--header 'X-Aegister-Token: <api-key>' \
--data '
{
"custom_colors": {}
}
'import requests
url = "https://app.aegister.com/api/v1/organizations/{id}/branding"
payload = { "custom_colors": {} }
headers = {
"X-Aegister-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Aegister-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_colors: {}})
};
fetch('https://app.aegister.com/api/v1/organizations/{id}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 123,
"messages": [
"<string>"
],
"data": {
"custom_colors": {
"primary": "<string>",
"primary_hover": "<string>",
"primary_dark": "<string>"
},
"platform_title": "<string>",
"logo_url": "<string>",
"favicon_url": "<string>",
"footer": {
"show_copyright": true,
"copyright_text": "<string>",
"show_status_badge": true,
"status_badge_url": "<string>"
}
}
}Branding
Update organization branding
Update an organization’s branding. Accepts: - palette: one of ‘blue’, ‘purple’, ‘teal’, ‘green’, ‘orange’, ‘red’, ‘indigo’, ‘pink’, ‘slate’, ‘custom’ - custom_colors: an object with primary, primary_hover, and primary_dark hex colors Only super_admin users can update branding.
PUT
/
api
/
v1
/
organizations
/
{id}
/
branding
Update organization branding
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Color palette name.
blue- bluepurple- purpleteal- tealgreen- greenorange- orangered- redindigo- indigopink- pinkslate- slatecustom- custom
Available options:
blue, purple, teal, green, orange, red, indigo, pink, slate, custom Custom color overrides with primary, primary_hover, primary_dark hex values.
Show child attributes
Show child attributes
⌘I

